Update billto for a shipment [Deprecated] - Fabric

Update billto for a shipment [Deprecated]

cURL

curl --request PATCH \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/bill-to/{billToId} \
  --header 'Content-Type: application/json' \
  --data '\n{\n  "paymentMethod": "Visa Credit",\n  "cardIdentifier": "1234",\n  "amount": 149.99,\n  "address": {\n    "attention": "Leave at the back door.",\n    "street1": "123 Main Street",\n    "street2": "ABC Boulevard",\n    "city": "Seattle",\n    "state": "WA",\n    "country": "United States of America",\n    "zipCode": "10008-1234",\n    "kind": "TBD",\n    "name": {\n      "first": "John",\n      "last": "Smith"\n    },\n    "email": "johnsmith@fabric.inc"\n  }\n}\n'```

### Python

```python
import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/bill-to/{billToId}"

payload = {   
    "paymentMethod": "Visa Credit",  
    "cardIdentifier": "1234",  
    "amount": 149.99,  
    "address": {   
        "attention": "Leave at the back door.",  
        "street1": "123 Main Street",  
        "street2": "ABC Boulevard",  
        "city": "Seattle",  
        "state": "WA",  
        "country": "United States of America",  
        "zipCode": "10008-1234",  
        "kind": "TBD",  
        "name": {   
            "first": "John",  
            "last": "Smith"  
        },  
        "email": "johnsmith@fabric.inc"  
    }  
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {  
  method: 'PATCH',  
  headers: {'Content-Type': 'application/json'},  
  body: JSON.stringify({  
    paymentMethod: 'Visa Credit',  
    cardIdentifier: '1234',  
    amount: 149.99,  
    address: {  
      attention: 'Leave at the back door.',  
      street1: '123 Main Street',  
      street2: 'ABC Boulevard',  
      city: 'Seattle',  
      state: 'WA',  
      country: 'United States of America',  
      zipCode: '10008-1234',  
      kind: 'TBD',  
      name: {first: 'John', last: 'Smith'},  
      email: 'johnsmith@fabric.inc'  
    }  
  })};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/{cartId}/bill-to/{billToId}', options)  
  .then(res => res.json())  
  .then(res => console.log(res))  
  .catch(err => console.error(err));

Response Example

{  
  "paymentMethod": "Visa Credit",  
  "cardIdentifier": "1234",  
  "amount": 149.99,  
  "address": {  
    "street1": "123 Main Street",  
    "city": "Seattle",  
    "state": "WA",  
    "country": "United States of America",  
    "zipCode": "10008-1234",  
    "name": {  
      "first": "John",  
      "last": "Smith"  
    },  
    "email": "johnsmith@fabric.inc",  
    "attention": "Leave at the back door.",  
    "street2": "ABC Boulevard",  
    "kind": "TBD",  
    "phone": {  
      "number": "123-456-7890",  
      "kind": "Mobile"  
    }  
  },  
  "billToId": 1,  
  "cart": "5e5818a84d030c206b2ffb02",  
  "_id": "5fee9d59f2f08a1b3cbdea08",  
  "createdAt": "2020-12-31T02:09:53.914Z",  
  "updatedAt": "2020-12-31T02:09:53.914Z",  
  "__v": 0  
}

Path Parameters

Request Body